<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <div class="ui grid">
      <div class="stretched row">
        <div class="three wide column">
          <h2 class="ui header">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WIKIS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WIKIS}}"></span>
          </h2>
        </div>
        <div class="one wide column"></div>
        <div class="ui search eight wide column center aligned">
          <div class="ui icon input">
            <input name="searchField" id="searchField" th:value="${searchField}" onkeypress="search(this.value,event);" class="form-control my-0 py-1 red-border prompt" type="text" />
            <i class="search icon"></i>
          </div>
        </div>
        <div class="one wide column"></div>
        <div class="three wide column" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WIKIS_UPDATE)">
          <div class="ui grid">
            <div class="right floated right aligned column">
              <a class="ui labeled icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WIKIS_CREATE}}">
                <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
                <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW}}"></span>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br />
    <br />
    <div th:fragment="wikis-list" id="wikis-list">
      <div class="ui grid">
        <div class="row">
          <div class="four wide column">
            <div class="ui large list">
              <div class="item" th:each="wiki : ${wikis}">
                <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WIKIS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                <div class="content">
                  <div class="header">
                    <span th:text="${#strings.length(wiki.name) > 17 ? #strings.substring(wiki.name, 0, 17) + ' ... ' : wiki.name}"></span>
                    <a th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WIKIS_UPDATE} + '/' + ${wiki.id}}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WIKIS_UPDATE)">
                      <i th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" class="pencil small icon"></i>
                    </a>
                    <a th:onclick="'deleteWiki(' + ${wiki.id} + ')'" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WIKIS_DELETE)">
                      <i th:classappend="red" class="trash small icon"></i>
                    </a>
                  </div>
                  <div class="ui small list">
                    <div class="item" th:each="page : ${wiki.pages}" th:onclick="'getWikipage(' + ${page.id} + ')'">
                      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WIKIPAGES}"></i>
                      <div class="content">
                        <a th:text="${page.title}"></a>
                        <a th:onclick="'deleteWikipage(' + ${page.id} + ')'" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WIKISPAGES_DELETE)">
                          <i th:classappend="red" class="trash small icon"></i>
                        </a>
                      </div>
                    </div>
                    <div class="item" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WIKISPAGES_CREATE)">
                      <div class="content" th:onclick="'createPage(' + ${wiki.id} + ')'">
                        <i class="plus icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                        <a th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW}}"></a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="twelve wide column">
            <div class="wiki" id="page-content"></div>
          </div>
        </div>
      </div>
    </div>
    <div th:replace="common/fragments/modal :: modal(medium,'')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WIKIS_JS}}"></script>
</body>
</html>